<app-sidebar></app-sidebar>
<div class="container-fluid" id="main">
  <div class="row">
    <main role="main" class="col-md-8 ml-sm-auto col-lg-10 ">

      <ul class="list-group list-group-flush">
        <li class="list-group-item" *ngFor="let data of amazonData" (mouseover)="changeText=true">
          <h2>{{ data.long_title }} : Season {{ data.season_number }}</h2>
          <h5>{{ data.start_year }} {{ data.run_time/60 }} mins {{ data.tv_rating.rating }}</h5>
          <span *ngIf="changeText" class="showAdditionalData">
            <div class="row">
              <div class="col-sm-8">
                <h4>{{ data.description[0].program_description }}</h4>
              </div>
              <div class="col-sm-4">
                <img *ngIf="data.images[0]" src="{{ data.images[0].url }}" class="rounded">
              </div>
              <div class="col-sm-12">
                <button type="button" class="btn btn-primary">Watch On Amazon</button>
              </div>
            </div>
          </span>
        </li>
      </ul>
    </main>
  </div>
</div>